@import url('https://fonts.googleapis.com/css2?family=Lexend+Deca:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Big+Shoulders+Display:wght@600&family=Lexend+Deca:wght@300&display=swap');
  

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    font-family: 'Lexend Deca', sans-serif;
    color: white;
}

main{
    display: flex;
    height: 750px;
    align-items: center;
    justify-content: center;
}

div{
    width: 20vw;
    height: 52vh;
    padding: 35px;
}

h2{
    font-family: 'Big Shoulders Display', cursive;
    text-transform: uppercase;
    margin-bottom: 7px;
    font-size: 10vh;
}

p{
    font-size: 14px;
    margin-bottom: 10px;
}

img{
    margin-bottom: 7px;
}

button{
    padding: 8px;
    border: none;
    background-color: white;
    border-radius: 15px;
    margin-top: 17px;
    width: 120px;
    cursor: pointer;

}

.sedans{
    background-color: hsl(31, 77%, 52%);
    border-radius: 10px 0 0 10px;

}

.sedans button{
    color: hsl(31, 77%, 52%) ;
}

.sedans button:hover{
    background-color: hsl(31, 77%, 52%) ;
    color: white;
    border: 2px solid white;
    transition: 1s ease;
}

.suvs{
    background-color: hsl(184, 100%, 22%);

}

.suvs button{
    color: hsl(184, 100%, 22%);
}

.suvs button:hover{
    background-color: hsl(184, 100%, 22%) ;
    color: white;
    border: 2px solid white;
    transition: 1s ease;
}

.luxury{
    background-color: hsl(179, 100%, 13%);
    border-radius: 0 10px 10px 0;

}

.luxury button{
    color: hsl(179, 100%, 13%);
}

.luxury button:hover{
    background-color: hsl(179, 100%, 13%) ;
    color: white;
    border: 2px solid white;
    transition: 1s ease;
}

@media (max-width:768px){
    main{
        flex-direction: column;
        margin-top: 90px;
        height: auto;
    }
    div{
        width: 70vw;
        height: 30vh;
    }
    .sedans{
        border-radius: 10px 10px 0 0;
    }
    .luxury{
        border-radius: 0 0 10px 10px;
    }
}


@media (max-width:480px){
    div{
        height: auto;
    }
}